## GUPnPDIDLLiteParser GUPnPDIDLLiteParser — A/V DIDL-Lite XML parser |

## Functions

GUPnPDIDLLiteParser * | gupnp_didl_lite_parser_new ()
gboolean | gupnp_didl_lite_parser_parse_didl ()

## Signals

void | container-available | Run Last
void | item-available | Run Last
void | object-available | Run Last

## Types and Values

| GUPnPDIDLLiteParser

## Object Hierarchy

        GObject
        ╰── GUPnPDIDLLiteParser

## Description

GUPnPDIDLLiteParser parses DIDL-Lite XML strings.

## Functions

### gupnp_didl_lite_parser_new ()

    GUPnPDIDLLiteParser *
    gupnp_didl_lite_parser_new (void);

#### Returns

A new GUPnPDIDLLiteParser object.

### gupnp_didl_lite_parser_parse_didl ()

    gboolean
    gupnp_didl_lite_parser_parse_didl (GUPnPDIDLLiteParser *parser,
                                       const char *didl,
                                       GError **error);

Parses DIDL-Lite XML string `didl` , emitting the ::object-available, ::item-available and ::container-available signals appropriately during the process.

#### Parameters

parser | A GUPnPDIDLLiteParser |
didl | The DIDL-Lite XML string to be parsed |
error | The location where to store any error, or NULL |

#### Returns

TRUE on success.

## Types and Values

### GUPnPDIDLLiteParser

    typedef struct _GUPnPDIDLLiteParser GUPnPDIDLLiteParser;

## Signal Details

### The `“container-available”` signal

    void
    user_function (GUPnPDIDLLiteParser    *parser,
                   GUPnPDIDLLiteContainer *container,
                   gpointer                user_data)

The ::container-available signal is emitted each time a container is found in the DIDL-Lite XML being parsed.

#### Parameters

parser | The GUPnPDIDLLiteParser that received the signal |
container | The now available GUPnPDIDLLiteContainer |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“item-available”` signal

    void
    user_function (GUPnPDIDLLiteParser *parser,
                   GUPnPDIDLLiteItem   *item,
                   gpointer             user_data)

The ::item-available signal is emitted each time an item is found in the DIDL-Lite XML being parsed.

#### Parameters

parser | The GUPnPDIDLLiteParser that received the signal |
item | The now available GUPnPDIDLLiteItem |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“object-available”` signal

    void
    user_function (GUPnPDIDLLiteParser *parser,
                   GUPnPDIDLLiteObject *object,
                   gpointer             user_data)

The ::object-available signal is emitted each time an object is found in the DIDL-Lite XML being parsed.

#### Parameters

parser | The GUPnPDIDLLiteParser that received the signal |
object | The now available GUPnPDIDLLiteObject |
user_data | user data set when the signal handler was connected. |

Flags: Run Last